@import url('https://fonts.googleapis.com/css2?family=Paytone+One&display=block');

@import url("./header.css");
@import url("./footer.css");
@import url("./back-to-top.css");
@import url("./ulc-banners.css");

:root {
  --link: #00aaeb;
  --hover: #0087d0;
  --focus: #ff50f0;

  --asu-gold: #ffc627;
  --asu-gold-hover: #ffcf47;
  --asu-maroon: #8c1d40;
  --asu-green: #78be20;
  --asu-orange: #ff7f32;

  --color-background: #e8e8e8;
  --color-grey-dark: #585858;
  --color-white: #fff;
  --color-black: #000;

  --special-font: 'Paytone One';

  --max-width: 900px;
  --min-target-size: 2.75rem;
 	}

html { 
	font-size: 100%; 
	scroll-behavior: smooth; 
	}

*,
*::before,
*::after {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
	}

body,
input,
button,
select,
option,
textarea {
  font-family: "Roboto","Helvetica Neue",Helvetica,Arial,sans-serif;
  font-size: 1rem;
  line-height: 1.5;
  color: var(--color-black);
  background-color: var(--color-white);
  text-align: center;
	}

html, body {
  height: 100%;
  margin: 0;
  }

body {
  display: flex;
  flex-direction: column;
  }
main {
  text-align: left;
  flex: 1;
  padding: 0 0 4rem 0;
  }

img {
  max-width: 100%;
  height: auto;
  display: block;
  width: 100%;
	}

a, .link {
  color: var(--asu-maroon);
  text-decoration: underline;
  font-weight: 500;
  text-underline-offset: .25rem;
	}
a:hover, .link:hover{
  color: var(--asu-maroon);
  text-decoration: none;
  text-decoration-thickness: 2px;
  } 


p{ padding: .5rem 0; }

ul,
ol { list-style: none; }

h3 + ul { padding-top: 1rem; }

ul.disc{ padding-left: 1.5rem; }
ul.disc li{ list-style-type: disc; }
ul.disc li > *{
  min-height: var(--min-target-size);
  min-width: var(--min-target-size);
  display: inline-flex;
  align-content: center;
  flex-wrap: wrap;
  }

ul.inline {
  display: flex;
  flex-wrap: wrap;
  gap: 0 .5rem;
  margin: .25rem 0;
  }
ul.inline li:not(:last-child)::after{
  content: "|";
  display: inline-block;
  margin-left: .5rem;
  }
ul.inline li > *{
  min-height: var(--min-target-size);
  display: inline-flex;
  align-content: center;
  flex-wrap: wrap;
  }

figure {
  margin: 0;
  padding: 0;
  } 
figcaption {
  margin: 0;
  padding: .5rem 0 0 0;
  font-size: inherit;
  color: inherit;
  font-size: .95rem;
  line-height: 1.5rem;
  }

button {
  border: 1px solid transparent;
  background: none;
  cursor: pointer;
  font: inherit;
	}
button:before {
  content: "";
  position: absolute;
  inset: -5px;
  border: 2px solid var(--asu-maroon);
  border-radius: inherit;
  opacity: 0;
  pointer-events: none;
  transition: opacity 0.15s ease;
  }
button:hover:before { opacity: 1; }
button[disabled]:before, button[disabled]:hover:before { opacity: 0; }


input,
select,
textarea,
button {  font: inherit; }
button.link[disabled] {
  opacity: 0.65;
  cursor: not-allowed;
  }
input { border: 2px solid transparent; }


audio{ width: 100%; } 

.min-hit-area{
  min-inline-size: var(--min-target-size);
  min-block-size: var(--min-target-size);
  }
.min-hit-area.inline-center{
  display: inline-flex;
  flex-wrap: wrap;
  align-content: center;
  }

h1{
  font-size: 2.25rem;
  line-height: 1;
  color: var(--asu-maroon);
  padding: 2rem 0 1.5rem 0;
  font-family: var(--special-font);
  font-weight: normal;
  }
h2 {
  font-size:  1.65rem;
  font-weight: normal;
  padding: 1.5rem 0 .5rem 0;
  line-height: 1;
  } 
h1 + h2{ padding-top: 1rem; }   
h3 {
  font-size: 1.3rem;
  line-height: 1;
  font-weight: normal;
  padding: 1.5rem 0 .5rem 0;
  }
h4 {
  font-weight: bold;
  padding: 1.5rem 0 .25rem 0;
  font-size: 1.1rem;
  line-height: 1;
  }

p{ padding: .75rem 0; }





.print-only{ display: none; }	

svg.hidden{ display: none; }

.soft-shadow{ filter: drop-shadow(0 0 .25rem rgba(0,0,0,0.3)); }

.scale-hover{ 
  display: inline-block;
  cursor: pointer;
  transition: transform .2s ease-in-out;   
  }
.scale-hover:hover{ transform: scale(1.15); }
.scale-hover[disabled]{ transform: none; }  

.border{
  padding: .5rem;
  border-radius: .25rem;
  border: 1px solid #ccc;
  }


/* FOCUS ----------------- */
.visually-hidden:not(:focus):not(:active) {   
    width: 1px;    
    height: 1px;      
    overflow: hidden;      
    clip: rect(0 0 0 0); 
    clip-path: inset(50%);   
    position: absolute;   
    white-space: nowrap;  
    }

.side-padding{
  padding-left: 1rem;
  padding-right: 1rem;
  }

.top-padding{ padding-top: 3rem; }


/* Excludes keyboard focus */
button, input, select, textarea, a, [tabindex]:not([tabindex="-1"]) {
  outline: none;
  position: relative;
  }
button.basic{
  color: var(--color-black);
  padding: .75rem 1.5rem;
  font-weight: 600;
  border-radius: 2rem;
  background-color: var(--asu-gold);
  cursor: pointer;
  text-decoration: none;
  min-width: 10rem;
  }
button.basic:hover{ background-color: var(--asu-gold-hover); }  
button.basic.maroon{
  color: var(--asu-maroon);
  color: var(--color-white);
  }


/* Default focus-visible ring for keyboard users */
button:focus-visible,
input:focus-visible,
select:focus-visible,
textarea:focus-visible,
a:focus-visible,
summary:focus-visible,
details > summary:focus-visible,
[tabindex]:focus-visible {
  outline: 3px solid var(--asu-gold);
  outline-offset: 3px;
  box-shadow: 0 0 0 3px var(--color-white), 0 0 0 9px var(--color-black); 
  }

details{
  padding: 1rem;
  border-radius: .25rem;
  border: 1px solid #ccc;
  margin: 1rem 0;
  }

details { 
  @media (prefers-reduced-motion: no-preference) { 
    interpolate-size: allow-keywords; 
    }
  /* Styles the expandable content area directly */ 
  &::details-content { 
    opacity: 0; 
    block-size: 0; 
    overflow-y: clip; 
    /* Shorthand for animation of expanding content*/ 
    transition: 
      content-visibility .3s allow-discrete, 
      opacity .5s, 
      block-size .5s; 
  } 

  &[open]::details-content { 
    opacity: 1; 
    block-size: auto; 
  }
}

summary { cursor: pointer; }
.details-body{ margin-top: .75rem; }
.details-body p + p { padding-top: .25rem; }



form{
  margin: 1rem 0 ;
  }
label {
  display: block;
  font-weight: 600;
  color: #222;
  } 
input[type="text"] {
  display: block;
  width: 100%;
  max-width: min(100%, 25rem);
  padding: 0.75rem 1rem;
  font-size: 1.25rem;
  line-height: 1.5;
  border: 1px solid #ccc;
  border-radius: 6px;
  background-color: var(--color-white);
  color: #111;
  box-sizing: border-box;
  margin-bottom: 1.5rem;
  text-align: left;
  }
input[type="text"]:focus {
  outline: 4px solid #4c9ffe;
  outline-offset: 2px;
  border-color: #4c9ffe;
  }
input[type="text"]:hover { outline: 3px solid var(--asu-gold); }
input[type="text"][disabled], input[type="text"][disabled]:hover {
  background: #f2f2f2;
  color: #777;
  cursor: not-allowed;
  outline: none;
  }



dialog{
  padding: 1rem 1rem 1.5rem 1rem;
  border: none;
  width: 100vw;
  height: min-content;
  position: fixed;
  max-width: none;
  max-height: none;
  inset: 0;
  margin: auto;
  }
dialog::backdrop {
  background: rgba(0, 0, 0, 0.7);
  backdrop-filter: blur(1px);
  cursor: pointer;
  }
dialog h2{ padding: 1rem 0 1.5rem 0; }  

dialog a[aria-current="true"]{ 
  text-decoration: none;
  color: var(--color-black);
  }

dialog#language-dialog li a{ 
  min-height: var(--min-target-size);
  min-width: var(--min-target-size);
  display: inline-flex;
  flex-wrap: wrap;
  align-content: center;
  }
dialog .close-btn{ 
  padding: .5rem;
  border: 1px solid var(--color-grey-dark);
  border-radius: .25rem;
  width: var(--min-target-size);
  height: var(--min-target-size);
  display: block;
  margin-left: auto;
  }
dialog .close-btn line{ 
  vector-effect: non-scaling-stroke;
  stroke-width: 2.5px;
  stroke: var(--color-grey-dark); 
  fill: none;
  }



#crumb-wrapper{ padding-top: .5rem; }

#breadcrumbs ol{
  display: flex;
  flex-wrap: wrap;
  gap: 0 .3rem;
  font-size: .95rem;
  color: var(--color-grey-dark);
  }
#breadcrumbs li{     
  display: flex;
  align-items: center; 
  }  
#breadcrumbs li>*{
  min-height: var(--min-target-size);
  display: inline-block;
  align-content: center;
  } 
#breadcrumbs li:not(:last-child)::after{
  content: "/";
  display: inline-block;
  margin-left: .3rem;
  }
#breadcrumbs a{ 
  color: var(--color-grey-dark); 
  font-weight: normal;
  }



.icon-grid{
  display: flex;
  flex-wrap: wrap;
  justify-content: center;
  text-align: center;
  gap: 1.5rem 1rem;
  padding-top: 2rem;
  padding-bottom: 2rem;
  }
.icon-grid li > a { 
  display: flex;
  min-height: var(--min-target-size); 
  flex-wrap: wrap;
  align-items: center;
  justify-content: center;
  } 
.icon-grid > li{ width: 10rem; }  
.icon-grid img {
  max-width: 90%;
  display: block;
  margin: 0 auto;
  }
.icon-grid.wide{justify-content: space-around;}
.icon-grid .details{ padding: .25rem 0; }
.icon-grid .title{ font-weight: bold; }
.icon-grid img + button { margin-top: .5rem; }


.stack-side{ 
  padding: .5rem 0; 
  display: grid;
  }
.stack-side div:first-child{ padding-bottom: .5rem; }

figure.center{ margin: 1rem 0; }


#page-controls { padding-top: 2rem; }

.pager{
  display: grid;
  justify-items: center;
  }
.pager a { 
  min-height: var(--min-target-size); 
  display: flex;
  align-items: center;
  }  
.pager .arrow{ display: none; }


/* PAGE SPECIFIC STYLES ---------------------------- */


/* HOME PAGE --------------------- */
#home main{ text-align:center; }

#home-title{
  text-align: center;
  font-weight: normal;
  font-size: 3.5rem;
  padding-top: 1rem;
  padding-bottom: 1rem;
  margin: 0;
  }
.tagline{
  font-size: 1.5rem;
  line-height: 1.5;
  padding-top: 1rem;
  padding-bottom: 1rem;
  background-color: #FFC627;
  color: var(--color-black);
  text-align: center;
  font-weight: 500;
  }

#how-to-play .title{
  font-weight: bold;
  display: block;
  padding-bottom: .2rem;
  }


@media print, (min-width: 420px) {

  dialog{
    border-radius: .25rem;
    border: 1px solid transparent;
    width: 100%;
    height: min-content;
    max-width: 20rem;
    min-width: min(100%, 25rem);
    min-height: min(100%, 15rem);
    }

  h1{ font-size: 2.5rem; }
  h2 { padding: 2rem 0 1rem 0; }   

  .icon-grid > li{ width: 14rem; }  
  .icon-grid img { max-width: 11rem; }

  .max-width{
    max-width: var(--max-width);
    margin: 0 auto;
    }

  #home-title {
    font-size: 5rem;
    padding-bottom: 2rem;
    }

  .tagline{ font-size: 1.75rem; }

  .border{ padding: 1rem; }

  .pager {
    display: flex;
    padding: 0;
    list-style: none;
    } 
  .pager .prev { 
    padding-left: 1rem;
    margin-right: auto; 
    }
  .pager .next { 
    padding-right: .75rem;
    margin-left: auto; 
    }
  .pager .arrow{ 
    font-size: 1.5rem;
    line-height: 1;
    display: block;
    position: absolute;
    top: 50%;
    transform: translateY(-55%);
    }
 .pager .prev .arrow{ left: -.75rem; }
 .pager .next .arrow{ right: -.75rem; }

}



@media print, (min-width: 800px) {
  .stack-side{
    display: grid;
    gap: 3rem;
    grid-template-columns: 4fr 3fr;
    grid-template-areas: "right left";
    }
  .stack-side > div > p:first-child { padding-top: 0; }
  .stack-side > div:first-child { 
    grid-area: right; 
    padding: 0;
    }

}



@media print{ 

  #print-heading{ 
    display: block;
    font-weight: bold; 
    padding-top: 0;
    }

  .print-only{ display: unset; } 

  * {
    background: transparent !important;
    color: black !important;
    box-shadow: none !important;
    text-shadow: none !important;
    }
  
  @page { margin: .65in .5in; }

  body {
    font-size: 12pt;
    line-height: 1.5;
    margin: 0 auto;
    }

  nav,
  footer,
  dialog,
  .no-print,
  .shortcuts,
  #crumb-wrapper,
  #page-controls{
    display: none !important;
    }

  h1, h2, h3 {
    page-break-after: avoid;
    }
  p, li {
    page-break-inside: avoid;
    }
  section {
    page-break-inside: avoid;
    }
  img {
    max-width: 100%;
    page-break-inside: avoid;
    }

  main { padding: 0; }
  .side-padding{ 
    padding-left: 0; 
    padding-right: 0;
    }
  
  #home-title{
    font-size: 3rem;
    line-height: 1;
    padding-bottom: 0;
    }
  .tagline{ font-size: 1.5rem; }   

  .icon-grid img {
    max-width: 8rem;
    }

  h1{
    font-size: 1.75rem;
    color: var(--color-black);
    font-family: inherit;
    padding-top: 0;
    }
  h2 {
    padding-top: 1rem;
    font-size:  1.5rem;
    line-height: 1;
    } 
  h1 + h2{ padding-top: 1rem; }   
  h3 {
    font-size: 1.25rem;
    line-height: 1;
    }

  .stack-side {
    display: grid;
    gap: 3rem;
    grid-template-columns: 2fr 1fr;  
    }

  figcaption { line-height: unset; }

} 

@media screen and (forced-colors: active) {

  button.basic, button.basic:hover{
    color: ButtonText;
    background-color: ButtonFace;
    }
  dialog{ 
    border-color: CanvasText; 
    border-width: 4px;
    }

  dialog .close-btn{ 
    border-color: ButtonText;
    background-color: ButtonFace;
    }
  dialog .close-btn line{ stroke: ButtonText; }

}